package Sah::SchemaR::perl::modprefixes;

our $DATE = '2019-12-15'; # DATE
our $VERSION = '0.026'; # VERSION

our $rschema = ["array",[{description=>"\nArray of Perl module prefixes, where each element is of `perl::modprefix`\nschema, e.g. `Foo::`, `Foo::Bar::`.\n\nContains coercion rule that expands wildcard, so you can specify:\n\n    Module::C*\n\nand it will be expanded to e.g.:\n\n    [\"Module::CPANTS::\", \"Module::CPANfile::\", \"Module::CheckVersion::\", \"Module::CoreList::\"]\n\nThe wildcard syntax supports jokers (`?`, '*`) and brackets (`[abc]`). See the\n`unix` type of wildcard in <pm:Regexp::Wildcards>, which this coercion rule\nuses.\n\n",of=>["perl::modprefix",{req=>1},{}],summary=>"Perl module prefixes","x.element_completion"=>"perl_modprefix","x.perl.coerce_rules"=>["From_str_or_array::expand_perl_modprefix_wildcard"]}],["array"]];

1;
# ABSTRACT: Perl module prefixes

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::perl::modprefixes - Perl module prefixes

=head1 VERSION

This document describes version 0.026 of Sah::SchemaR::perl::modprefixes (from Perl distribution Sah-Schemas-Perl), released on 2019-12-15.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-Perl>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-Perl>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-Perl>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2019, 2018, 2017, 2016 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
